$(function () {
    function ValidTemp() {
        var VPSName = $("#VPSName"),
        Server = $("#Server"),
        CPUNum = $("#CPUNum"),
        DDR = $("#DDR"),
        SATA = $("#SATA"),
        Flow = $("#Flow"),
        BW = $("#BW"),
        Ips = $("#Ips"),
        Memo = $("#Memo")
        allFields = $([])
        .add(VPSName)
        .add(Server)
        .add(CPUNum)
        .add(DDR)
        .add(SATA)
        .add(Flow)
        .add(BW)
        .add(Ips)
        .add(Memo)
        ;
        var bValid = true;
        allFields.removeClass("ui-state-error");
        bValid = bValid && checkLength(VPSName, "模版名称", 1, 50);
        bValid = bValid && checkLength(Server, "服务器简介", 1, 50);
        bValid = bValid && checkNumlength(CPUNum, "CPU数量", 1, 2147483647);
        bValid = bValid && checkNumlength(DDR, "内存", 1, 2147483647);
        bValid = bValid && checkNumlength(SATA, "硬盘", 1, 2147483647);

        bValid = bValid && checkNumlength(BW, "带宽", 1, 2147483647);
        bValid = bValid && checkNumlength(Ips, "IP数量", 1, 2147483647);
        bValid = bValid && checkNumlength(Flow, "流量", 0, 2147483647);

        return bValid;
    };
    $("form").submit(function () {
        if (!ValidTemp()) {
            $(this).find("button[type=submit]").removeClass("loading").removeAttr("disabled");
            return false;
        }
    });
    $("#ServerHome").change(function () {
        if ($(this).val() != 0) {
            $(".serverpricelink").html("<a href=\"Default.aspx?Action=Edit&Id=" + $(this).val() + "\" target=\"_blank\">查看价格</a>");
        }
        else {
            $(".serverpricelink").html("");
        }
    });
});